#!/usr/bin/env bash
print_collsize() {
  echo "on rank 0: starting Test with SION_COLLSIZE=$SION_COLLSIZE" > stdout.log
  echo "on rank 0: starting Test with SION_COLLSIZE=$SION_COLLSIZE" > stderr.log
}
export SION_COLLSIZE=4
. ./test_parallel.sh
test_parallel ompcol_1 np:1 nt:4 \
  pre_hook:print_collsize \
  pattern:'on OMP thread 0' \
  siondump:testB.out
